#
# spec file for package yast2-schema
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-schema
Version:        4.2.13
Release:        lp152.2.3.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

URL:            https://github.com/yast/yast-schema

# Dependencies needed to build the package
BuildRequires:  trang
BuildRequires:  yast2-devtools

# All packages providing RNG files for AutoYaST
# in /usr/share/YaST2/schema/autoyast/rng/*.rng

# drop 'mouse' element
BuildRequires:  autoyast2 >= 4.2.46
BuildRequires:  yast2
# add_on_others element
BuildRequires:  yast2-add-on >= 4.2.4
BuildRequires:  yast2-audit-laf
BuildRequires:  yast2-auth-client
BuildRequires:  yast2-auth-server
# drop 'suse_btrfs' element
BuildRequires:  yast2-bootloader >= 4.2.27
BuildRequires:  yast2-configuration-management >= 4.1.2
BuildRequires:  yast2-country
BuildRequires:  yast2-dhcp-server
BuildRequires:  yast2-dns-server
BuildRequires:  yast2-firewall >= 4.1.8
BuildRequires:  yast2-firstboot >= 4.1.1
BuildRequires:  yast2-ftp-server
BuildRequires:  yast2-http-server
BuildRequires:  yast2-installation
BuildRequires:  yast2-tftp-server >= 4.1.7
# add 'iface' element
BuildRequires:  yast2-iscsi-client >= 4.2.7
BuildRequires:  yast2-kdump
BuildRequires:  yast2-mail
# add 'bridge_forward_delay' element
BuildRequires:  yast2-network >= 4.2.93
BuildRequires:  yast2-nfs-client
BuildRequires:  yast2-nfs-server
BuildRequires:  yast2-nis-client
BuildRequires:  yast2-nis-server
BuildRequires:  yast2-ntp-client
BuildRequires:  yast2-online-update-configuration
BuildRequires:  yast2-printer
BuildRequires:  yast2-proxy
# registration is available only where suse connect is also available
%ifnarch s390 %ix86
BuildRequires:  yast2-registration
%endif
# Package available for S390 only
%ifarch s390 s390x
BuildRequires:  yast2-s390
%endif
BuildRequires:  yast2-samba-client
BuildRequires:  yast2-samba-server
# sys_gid_max, sys_gid_min, sys_uid_max,... in security.rnc
BuildRequires:  yast2-security >= 4.2.8
BuildRequires:  yast2-services-manager
BuildRequires:  yast2-sound
BuildRequires:  yast2-squid
BuildRequires:  yast2-sysconfig
# tag home_btrfs_subvolume
BuildRequires:  yast2-users >= 4.1.11

#!BuildIgnore: yast2-build-test

# optimization suggested by AJ:
#!BuildIgnore: tomcat5

# ignoring conflicting packages
#!BuildIgnore: yast2-branding-SLED yast2-branding-openSUSE
#!BuildIgnore: yast2-theme yast2-theme-SLED yast2-theme-openSUSE yast2-theme-SLE

# Hotfix to build a package, bnc #427684
#!BuildIgnore: xerces-j2-bootstrap libusb-0_1-4 crimson

# To speedup && to easily recover from dependency hell
#!BuildIgnore: yast2-pkg-bindings zypper libzypp yast2-gtk yast2-qt yast2-ncurses yast2-qt-pkg yast2-ncurses-pkg

# Yast packages without AutoYast support
#!BuildIgnore: yast2-country-data
#!BuildIgnore: yast2-control-center yast2-control-center-gnome yast2-control-center-qt

Summary:        YaST2 - AutoYaST Schema
License:        GPL-2.0-or-later
Group:          System/YaST

%description
AutoYaST Syntax Schema

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_schemadir}/autoyast/rnc
%{yast_schemadir}/autoyast/rnc/profile.rnc
%{yast_schemadir}/autoyast/rnc/includes.rnc
%dir %{yast_schemadir}/autoyast/rng
%{yast_schemadir}/autoyast/rng/*.rng
%doc %{yast_docdir} 
%license COPYING

%changelog
* Wed Mar  3 2021 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add 'bridge_forward_delay' to the interfaces in the networking
  section (bsc#1180944).
- Add 'iface' element to the targets in the iSCSI section
  (bsc#1182193).
- 4.2.13
* Tue Sep 29 2020 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Drop the 'suse_btrfs' element from the schema (bsc#1176970).
- 4.2.12
* Tue Sep 29 2020 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Drop the 'general/mouse' element from the schema (bsc#1176973).
- 4.2.11
* Fri Apr 17 2020 Josef Reidinger <jreidinger@suse.com>
- Exclude the registration for architectures on which it does not
  build (related to the jsc#SLE-11852)
- 4.2.10
* Thu Apr 16 2020 Josef Reidinger <jreidinger@suse.com>
- Always add the registration to schema (jsc#SLE-11852)
- do not use exclude arch on SLE
- 4.2.9
* Tue Jan 21 2020 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix 'scripts' elements validation (bsc#1156905).
- 4.2.8
* Thu Dec 12 2019 schubi@suse.de
- Updated security rnc file (bsc#1158301)
- 4.2.7
* Wed Oct 30 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update schema to support setting the encryption method through
  the 'crypt_method' (related to jsc#SLE-7376).
- 4.2.6
* Fri Oct 18 2019 schubi@suse.de
- Added extra_services to security.rnc file (bsc#1153623).
- 4.2.5
* Mon Oct  7 2019 Josef Reidinger <jreidinger@suse.com>
- Update yast2-bootloader dependency to support secure_boot flag
  (jsc#SLE-8787)
- 4.2.4
* Thu Sep 12 2019 schubi@suse.de
- Ignoring X-SuSE-YaST-AutoInstResourceAliases entries in desktop
  files while evaluating resources (bsc#1144894).
- 4.2.3
* Tue Aug 27 2019 schubi@suse.de
- Report warning if X_SuSE_YaST_AutoInstResource has not been set
  in desktop file (bsc#144894).
- 4.2.2
* Fri Aug  2 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update autoyast2 and yast2-add-on dependencies to:
  - Support the new add_on_others section
  - Add the missing 'uuid' element in the 'partition' sections
- Fixes bsc#1144007.
- 4.2.1
* Tue May 21 2019 schubi@suse.de
- Updated build requ. due tag cpu_mitigations in bootloader.
  (bsc#1128707) (wrong version number)
- 4.2.0
* Tue May  7 2019 schubi@suse.de
- Updated build requ. due tag cpu_mitigations in bootloader.
  (bsc#1128707).
- 4.1.7
* Mon Mar 25 2019 schubi@suse.de
- Updated build requ. due tag smt in bootloader (bsc#1128707).
- 4.1.6
* Thu Mar 14 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add Bcache related elements to the partitioning schema
  (fate#325346).
- 4.1.5
* Mon Mar 11 2019 schubi@suse.de
- Updated build requ. due tag home_btrfs_subvolume and smt.
  (bsc#1128707)
- 4.1.4
* Mon Feb  4 2019 schubi@suse.de
- Added yast2-tftp-server for autobuild (bsc#1123830).
- 4.1.3
* Tue Jan 29 2019 igonzalezsosa@suse.com
- Add dependency on yast2-configuration-management (fate#322722).
- 4.1.2
* Wed Jan 16 2019 jreidinger@suse.com
- AutoYaST schema changed in yast2-firewall (4.1.8).
  - Dropped unused elements that were not in GA and are not needed in
    SP1 (fate#324662)
- 4.1.1
* Tue Jan  8 2019 knut.anderssen@suse.com
- AutoYaST schema changed in yast2-firewall (4.1.4).
  - Allowed the new 'forward_ports', 'rich_rules' and
    'source_ports' elements in zone entries (bsc#1108199)
- 4.1.0
* Fri Dec 28 2018 schubi@suse.de
- Added new schema of yast2-tftp-server module (bsc#1108199).
- 4.0.7
* Fri Nov 30 2018 schubi@suse.de
- Evaluating which package belongs to which schema. This
  information will be stored in includes.rnc (bsc#1117068)
- 4.0.6
* Thu Nov 29 2018 schubi@suse.de
- yast2-firstboot change: Added firstboot.rnc file to desktop file.
  (bsc#1117068)
- 4.0.5
* Thu Nov 22 2018 schubi@suse.de
- AutoYaST schema changed in yast2-firewall (4.0.28).
  - Allowed the new 'description', 'short' and 'target' elements in
    zone entries (bsc#1108199)
- 4.0.4
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Wed May 23 2018 igonzalezsosa@suse.com
- Add create_subvolumes element (bsc#1094307)
- 4.0.3
* Tue Apr  3 2018 igonzalezsosa@suse.com
- Fix several validation problems (bsc#1013047)
- 4.0.2
* Mon Feb 12 2018 jreidinger@suse.com
- drop yast2-ca-management (fate#319119)
- 4.0.1
* Fri Feb  9 2018 knut.anderssen@suse.com
- Drop yast2-inetd (fate#323373)
- 4.0.0
* Fri Nov  4 2016 igonzalezsosa@suse.com
- Add support to enable copy-on-write for Btrfs subvolumes
  (FATE#320342)
- Add support to omit the Btrfs default subvolume name
  (FATE#317775)
- Add support to define SSH authorized_keys (FATE#319471)
- 3.2.0
* Thu Aug 25 2016 igonzalezsosa@suse.com
- Exclude i586 and s390 architectures as SLE 12 does not build
  a runnable kernel for such architectures (bsc#933411).
- 3.1.8
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Add ssh_import section (fate#319624)
- 3.1.7
* Fri Nov 13 2015 igonzalezsosa@suse.com
- Fix validation of AutoYaST schema (bsc#954412)
- 3.1.6
* Thu Oct  8 2015 schubi@suse.de
- Set default value if %%is_opensuse has not been set.
  Additional fix for bnc#948563.
- 3.1.5
* Tue Oct  6 2015 schubi@suse.de
- Using %%is_opensuse in the spec file. (bnc#948563)
- 3.1.4
* Fri Jul 24 2015 locilka@suse.com
- BuildService requires an ID for package submission (bsc#939346)
- 3.1.3
* Fri Dec 19 2014 locilka@suse.com
- Replacing dropped yast2-all-packages with list of packages
  that contain RNG files needed for AutoYaST
- 3.1.2
* Wed Dec 10 2014 locilka@suse.com
- Ignoring more packages that do not contain any AutoYaST support
  during build to shorten the build cycle and to remove unneeded
  dependencies
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Jul 30 2013 yast-devel@opensuse.org
- version 3.0.0
* Tue Apr 24 2012 ug@suse.de
- fix for pxe.rnc from the autoyast package
- 2.22.0
* Tue Apr 24 2012 ug@suse.de
- added yast2-online-update-configuration to
  BUILDREQUIRES
* Tue Sep  8 2009 mvidner@suse.cz
- Build fix: Eval only X-SuSE-YaST-AutoInst*, not X-SuSE-YaST-Keywords.
- 2.18.2
* Wed Jul  8 2009 ug@suse.de
- fixed the workaround for the users rnc files
- 2.18.1
* Wed Feb 11 2009 mvidner@suse.cz
- Sort found files to avoid unnecessary rebuilds.
- 2.18.0
* Wed Oct 15 2008 ug@suse.de
- moved common.rnc from yast2-schema to autoyast2 to
  fix yast2-schema build errors
- 2.17.4
* Thu Oct  2 2008 jsrain@suse.cz
- added yast2-core to BuildRequires to build the package
- 2.17.3
* Tue Sep 30 2008 locilka@suse.cz
- Added some more BuildIgnores to build the package.
- 2.17.2
* Fri Sep 26 2008 locilka@suse.cz
- Adding some more BuildIgnores to build the package (bnc #427684).
- 2.17.1
* Tue Sep 16 2008 locilka@suse.cz
- Ignoring conflicting packages (yast2-branding-*, yast2-theme-*).
- 2.17.0
* Tue Mar 27 2007 mvidner@suse.cz
- Ignore tomcat5 while building to save time.
- 2.15.0
* Wed Nov 22 2006 mvidner@suse.cz
- Include also user_defaults and groups with users (#215249#c7).
- 2.14.2
* Tue Nov 21 2006 ug@suse.de
- for some reason the order of the elements is important
  for xmllint. This is a workaround for that problem.
  It might be a bug in xmllint and requires further
  investigation.
  (#222956)
- 2.14.1
* Mon Nov 13 2006 jsrain@suse.cz
- 2.14.0
* Mon Oct 30 2006 mvidner@suse.cz
- Fixed too aggressive escaping which broke on files-with-dashes.rnc
- 2.13.3
* Thu Feb 23 2006 mvidner@suse.cz
- converted neededforbuild to BuildRequires (mls)
- broke a build cycle with yast2-online-update (ro)
- removed yast2-devel-packages, yast2-all-packages is enough
- 2.13.2
* Mon Oct 10 2005 mvidner@suse.cz
- Added rules, classes-*, and (disabled) profile-misc.
- 2.13.1
* Fri Sep 23 2005 mvidner@suse.cz
- More documentation, renamed it so that it does not clash it with the
  copyright files.
- Do not use notAllowed, it is unclear and validators disagree.
- Allow X_SuSE_YaST_AutoInstResource and X_SuSE_YaST_AutoInstSchema to
  differ.
- Install forgotten RNC files.
- 2.13.0
* Mon Jun 13 2005 mvidner@suse.cz
- Don't install generated RNC files, they create conflicts.
- Don't distribute generated HTML docs.
- 2.12.2
* Tue Jun  7 2005 mvidner@suse.cz
- Build it in makefiles, not in the spec file.
- Build fix: trang now requires JRE.
- 2.12.1
* Tue Sep  7 2004 nashif@suse.de
- Removed nfb cycle
* Wed Aug 18 2004 nashif@suse.de
- initial version
